﻿using System;

namespace DivisibilityChecker
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Divisibility Checker");
            Console.WriteLine("--------------------");

            // Ask the user for the first number
            Console.Write("Enter the first number: ");
            int number1;
            if (!int.TryParse(Console.ReadLine(), out number1))
            {
                Console.WriteLine("Invalid input. Please enter a valid integer.");
                return;
            }

            // Ask the user for the second number
            Console.Write("Enter the second number: ");
            int number2;
            if (!int.TryParse(Console.ReadLine(), out number2) || number2 == 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-zero integer.");
                return;
            }

            // Check divisibility
            if (number1 % number2 == 0)
            {
                Console.WriteLine($"{number1} is divisible by {number2}.");
            }
            else
            {
                Console.WriteLine($"{number1} is not divisible by {number2}.");
            }

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
